package de.tudresden.inf.st.mquat.eris.coupling;

import org.json.JSONObject;

public class ERISAttribute {
  private int id;
  private boolean linkage;
  private String name;
  private boolean notNull;
  private boolean notUndefined;
  private boolean system;
  private String type;
  private int typeLength;
  private boolean unique;
  private boolean allowIndex;
  private ERISContainer container;

  public ERISAttribute(JSONObject jsonObject, ERISContainer container) {
    id = jsonObject.getInt("id");
    linkage = jsonObject.getBoolean("linkage");
    name = jsonObject.get("name").toString();
    notNull = jsonObject.getBoolean("notNull");
    notUndefined = jsonObject.getBoolean("notUndefined");
    system = jsonObject.getBoolean("system");
    type = jsonObject.get("type").toString();
    typeLength = jsonObject.getInt("typeLength");
    unique = jsonObject.getBoolean("unique");
    allowIndex = jsonObject.getBoolean("allowIndex");
    allowIndex = allowIndex && notNull && notUndefined && (typeLength > 0);
    this.container = container;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public boolean isLinkage() {
    return linkage;
  }

  public void setLinkage(boolean linkage) {
    this.linkage = linkage;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public boolean isNotNull() {
    return notNull;
  }

  public void setNotNull(boolean notNull) {
    this.notNull = notNull;
  }

  public boolean isNotUndefined() {
    return notUndefined;
  }

  public void setNotUndefined(boolean notUndefined) {
    this.notUndefined = notUndefined;
  }

  public boolean isSystem() {
    return system;
  }

  public void setSystem(boolean system) {
    this.system = system;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public int getTypeLength() {
    return typeLength;
  }

  public void setTypeLength(int typeLength) {
    this.typeLength = typeLength;
  }

  public boolean isUnique() {
    return unique;
  }

  public void setUnique(boolean unique) {
    this.unique = unique;
  }

  public boolean isAllowIndex() {
    return allowIndex;
  }

  public void setAllowIndex(boolean allowIndex) {
    this.allowIndex = allowIndex;
  }

  public ERISContainer getContainer() {
    return this.container;
  }

  @Override
  public String toString() {
    return "(ATT " + getId() + ": " + getName() + ")";
  }
}
