package de.tudresden.inf.st.mquat.eris.coupling;

import org.json.JSONObject;

public class ERISAttributeStatistics {
  private int count;
  private int inserts;
  private int links;
  private int lookups;
  private int scans;
  private ERISAttribute attribute;
  private ERISLivingPartition livingPartition;

  public ERISAttributeStatistics(JSONObject jsonObject, ERISAttribute attribute, ERISLivingPartition livingPartition) {
    count = jsonObject.getInt("count");
    inserts = jsonObject.getInt("inserts");
    links = jsonObject.getInt("links");
    lookups = jsonObject.getInt("lookups");
    scans = jsonObject.getInt("scans");
    this.attribute = attribute;
    this.livingPartition = livingPartition;
  }

  public int getCount() {
    return count;
  }

  public int getInserts() {
    return inserts;
  }

  public int getLinks() {
    return links;
  }

  public int getLookups() {
    return lookups;
  }

  public int getScans() {
    return scans;
  }

  public ERISAttribute getAttribute() {
    return attribute;
  }

  public ERISLivingPartition getLivingPartition() {
    return livingPartition;
  }
}
