package de.tudresden.inf.st.mquat.eris.coupling;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public class ERISModel {

  private Map<Integer, ERISContainer> containers = new HashMap<>();
  private Map<String, ERISAccessPath> accessPaths = new HashMap<>();

  public void addContainer(ERISContainer container) {
    containers.put(container.getId(), container);
  }

  public ERISContainer getContainer(int id) {
    return containers.get(id);
  }

  public Collection<ERISContainer> getContainers() {
    return containers.values();
  }

  public void addAccessPath(ERISAccessPath accessPath) {
    this.accessPaths.put(accessPath.getId() + "_" + accessPath.getAddressingMode(), accessPath);
  }

  public ERISAccessPath getAccessPath(int id, String addressingMode) {
    return accessPaths.get(id + "_" + addressingMode);
  }

  public Collection<ERISAccessPath> getAccessPaths() {
    return accessPaths.values();
  }

}
